Subject: incorrect usage of UTS_RELEASE in bcm43xx_get_drvinfo

From: Olaf Hering <[email-masked]>
Date: Fri, 21 Jul 2006 20:59:45 +0200

bcm43xx_get_drvinfo in 2.6.18-rc2 unfortunately uses UTS_RELEASE as
driver version. I think this specific info can be obtained by other
ways.
Can you give bcm43xx a real version number and provide it via the
ethtool ioctl?
It will trigger a rebuild if the uname -r of the kernel to build
changes.